> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all external entities

> Returns all external entities for the institutional account.

To access the Core API for Institutions, contact your Circle account representative.

Note that the `businessUniqueIdentifier` and `identifierIssuingCountryCode` must both be provided, or not at all. Only providing one will result in an error.




## OpenAPI

````yaml openapi/institutional.yaml get /v1/externalEntities
openapi: 3.0.2
info:
  version: ${version}
  title: Core API for Institutions
  description: >-
    The Circle Institutional API provides endpoints for the distribution of USDC
    to end institutions.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: External Entities
    description: Manage your external entities.
paths:
  /v1/externalEntities:
    get:
      tags:
        - External Entities
      summary: Get all external entities
      description: >
        Returns all external entities for the institutional account.


        To access the Core API for Institutions, contact your Circle account
        representative.


        Note that the `businessUniqueIdentifier` and
        `identifierIssuingCountryCode` must both be provided, or not at all.
        Only providing one will result in an error.
      operationId: getAllExternalEntities
      parameters:
        - name: businessUniqueIdentifier
          description: >-
            The unique identifier of the business. For example, a company number
            or tax ID.
          in: query
          required: false
          schema:
            type: string
        - name: identifierIssuingCountryCode
          description: >-
            The country code of the issuing authority. Formatted as a two-letter
            country code specified in ISO 3166-1 alpha-2.
          in: query
          required: false
          schema:
            type: string
            pattern: ^[A-Z]{2}$
      responses:
        '200':
          description: Successfully retrieved a list of external entities.
          content:
            application/json:
              schema:
                title: ListExternalEntitiesResponse
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ExternalEntity'
              examples:
                response:
                  value:
                    data:
                      - walletId: '212000'
                        businessName: Circle Internet Financial Inc.
                        businessUniqueIdentifier: '1234567890'
                        identifierIssuingCountryCode: US
                        complianceState: PENDING
      security:
        - bearerAuth: []
components:
  schemas:
    ExternalEntity:
      type: object
      description: An external entity
      properties:
        walletId:
          $ref: '#/components/schemas/InstitutionalWalletId'
        businessName:
          type: string
          description: The name of the business.
          example: Circle Internet Financial Inc.
        businessUniqueIdentifier:
          type: string
          description: >-
            The unique identifier of the business. For example, a company number
            or tax ID.
          example: '1234567890'
        identifierIssuingCountryCode:
          type: string
          description: >-
            The country code of the issuing authority. Formatted as a two-letter
            country code specified in ISO 3166-1 alpha-2.
          pattern: ^[A-Z]{2}$
          example: US
        complianceState:
          type: string
          description: The compliance status of the external entity.
          enum:
            - PENDING
            - ACCEPTED
            - REJECTED
    InstitutionalWalletId:
      type: string
      description: >-
        Unique system-generated identifier for the wallet of the institutional
        entity.
      example: '212000'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````